<?php

    header('Content-Type: text/html; charset=UTF-8');  
    
    include('config.php');
    use setasign\Fpdi\Fpdi;

    require_once('fpdf181/fpdf.php'); 
    require_once('fpdi2/src/autoload.php'); 


$id=($_GET['variable1']);
$dia=($_GET['dias']);



#$id = "166";
$sqlVariables = ("SELECT * FROM files WHERE id='".$id."'");
$queryVar  = mysqli_query($con, $sqlVariables);
$MiDataVar = mysqli_fetch_array($queryVar);

$nombreEncargado =  " " .$MiDataVar['nombre']; 
$rut 			 =  " ". $MiDataVar['rut']; 
$Celular			 =  " ". $MiDataVar['fono'];
$depto 			 =  " ". $MiDataVar['dpto'];
$patente 			 =  " ". $MiDataVar['ppu'];
$fec_in			 =  " ". $MiDataVar['fecin'];
$fec_out		=  " ". $MiDataVar['fecout'];
$fam1			 =  " ". $MiDataVar['familia1'];
$fam2			 =  " ". $MiDataVar['familia2'];
$fam3			 =  " ". $MiDataVar['familia3'];
$fam4			 =  " ". $MiDataVar['familia4'];
$fam5			 =  " ". $MiDataVar['familia5'];
$r_fam1			 =  " ". $MiDataVar['rut_fam1'];
$r_fam2			 =  " ". $MiDataVar['rut_fam2'];
$r_fam3			 =  " ". $MiDataVar['rut_fam3'];
$r_fam4			 =  " ". $MiDataVar['rut_fam4'];
$r_fam5			 =  " ". $MiDataVar['rut_fam5'];
$tel_fijo		 =  " ". $MiDataVar['tel_fijo'];
$direccion		 =  " ". $MiDataVar['direccion'];
$correo			 =  " ". $MiDataVar['correo'];
$horaIn			 =  " ". $MiDataVar['horaIn'];
$horaOut		 =  " ". $MiDataVar['horaOut'];
$visita		 =  " ". $MiDataVar['visita'];
$mapa = 'https://www.google.com/maps/place/Lincoln+Nte.+2200,+Las+Cruces,+El+Tabo,+Valpara%C3%ADso';
$waze = 'https://waze.com/ul/h66j16p9ud';
$imagenwaze = '<?<img src="/agenda/files/waze.png" alt="Descripción de la imagen"><?php';


  

$fecIn = date("d-m-Y", strtotime($fec_in));
$fecOut = date("d-m-Y", strtotime($fec_out));
$lines1 = explode('|', wordwrap(utf8_decode($nombreEncargado), 28, '|'));




/* VARIABLES */
$tecnico1       = "Tecnico #1";
$nametecnico1   = "JORGE GUERRA 18460";
$tiempo1        = "10:52 PM";



$direcciondpto2  ='DIRECCION DEPTO: ';
$direcciondpto = utf8_decode($direcciondpto2);
$direcciondpto1  ='Condominio Lagunamar Las Cruces, 2200 Lincoln Norte, Las Cruces, El Tabo, Valparaiso.';

$propietarios  ='(Propietarios Evelyn Rojas - Claudio Barahona)';
$visitas      = "Autorizado para recibir visitas: $visita";
$num_dpto      = "1031";
$estacionamiento   = "98";
$tiempo2        = "03:25 PM";

$trabajoRealizar    = "Trabajo a realizar"; 
$posicion           = "Posicion # (?)"; 
$dimension          = "Dimension"; 


# MATERIALES
$materiales     = "Materiales:";
$id             = "# 1";
$codigo         = "001";
$descripcion    = "Descripcion";
$cantidad       = 20;

$id1             = "# 2";
$codigo1         = "002";
$descripcion1    = "Descripcion 2";
$cantidad1       = 100;

$textosupervisor     = "Nombre supervisor";
$namesupervisor      = "Diego Vernal";

$nombreFirma    = "Firma del encargado";



    $pdf = new FPDI();

    # Pagina 1
    $pdf->AddPage(); 
    $pdf->setSourceFile('Files_Pdf/24_12_2023_Ficha_arrendatario_lagunamar5.pdf'); 
    $tplIdx = $pdf->importPage(1); 
    $pdf->useTemplate($tplIdx); 
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(52,42);
    $pdf->Write(9,$nombreEncargado);
    
    #Propietarios
    $pdf->SetFont('Arial', 'B', '8'); 
    $pdf->SetXY(70,36);
    $pdf->Write(9,$propietarios);

    #RUT
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(150,42);
    $pdf->Write(9,$rut);

    #DIRECCION
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(40,56);
    $pdf->Write(10,$direccion);

    #TELEFONO FIJO
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(45,67);
    $pdf->Write(10,$tel_fijo); 

    #TELEFONO CELULAR
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(157,67);
    $pdf->Write(10,$Celular);

    #CORREO
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(57,77);
    $pdf->Write(10,$correo);

    #PERIODIO DE ARRIENDOS DIAS
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(58,90);
    $pdf->Write(9,$dia);
    
      #Visita
    $pdf->SetFont('Arial', '', '11'); 
    $pdf->SetXY(17,108);
    $pdf->Write(9,$visitas);

    #DEPARTAMENTO
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(118,90);
    $pdf->Write(9,$num_dpto);

    #ESTACIONAMIENTO
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(182,90);
    $pdf->Write(9,$estacionamiento);

    #FECHA_IN
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(30,100);
    $pdf->Write(10,$fecIn);
    
    #FECHA_IN
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(80,100);
    $pdf->Write(10,$fecOut);

    #FAMILIAR1
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(27,138);
    $pdf->Write(10,$fam1);

    #RUT FAMILIAR 1
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(120,138);
    $pdf->Write(10,$r_fam1);

    #FAMILIAR2
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(27,146);
    $pdf->Write(10,$fam2);

    #RUT FAMILIAR 2
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(120,146);
    $pdf->Write(10,$r_fam2);

    #FAMILIAR3
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(27,153);
    $pdf->Write(10,$fam3);

    #RUT FAMILIAR 3
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(120,153);
    $pdf->Write(10,$r_fam3);
    
    #FAMILIAR4
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(27,161);
    $pdf->Write(10,$fam4);

    #RUT FAMILIAR 4
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(120,161);
    $pdf->Write(10,$r_fam4);

    #FAMILIAR5
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(27,169);
    $pdf->Write(10,$fam5);

    #RUT FAMILIAR 5
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(120,169);
    $pdf->Write(10,$r_fam5);
    
    #PPU
    $pdf->SetFont('Arial', 'B', '10'); 
    $pdf->SetXY(55,194);
    $pdf->Write(10,$patente);
    
    #PPU
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(55,213); 
    $pdf->Write(10,$horaIn);
    
    #PPU
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(55,231);
    $pdf->Write(10,$horaOut);
    
    
     #DIRECCION 
    $pdf->SetFont('Arial', 'B', '11'); 
    $pdf->SetXY(18,260);
    $pdf->Write(10,$direcciondpto);
    
    
    #DIRECCION 
    $pdf->SetFont('Arial', '', '9'); 
    $pdf->SetXY(58,260);
    $pdf->Write(10,$direcciondpto1);
    
    // Colores para el botón
$colorFondoR = 100; // Rojo
$colorFondoG = 400; // Verde
$colorFondoB = 120; // Azul

// Coordenadas y dimensiones del botón
$x = 18; // Coordenada X del botón en el PDF
$y = 270; // Coordenada Y del botón en el PDF
$ancho = 50; // Ancho del botón
$alto = 10; // Alto del botón

// Texto del botón
$textoBoton = "Accede a WAZE";

// Configurar color de fondo
$pdf->SetFillColor($colorFondoR, $colorFondoG, $colorFondoB);

// Dibujar el rectángulo que funcionará como botón
$pdf->Rect($x, $y, $ancho, $alto, 'F');

// Agregar texto. Nota: El enlace no se muestra con color o estilo aquí.
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0); // Color del texto
$pdf->SetXY($x + 7, $y + 5); // Posiciona el texto en el centro del botón (ajusta a tu necesidad)
$pdf->Write(0, $textoBoton, $waze); // El tercer parámetro es el enlace al mapa

    
    
# Suponiendo que ya tienes las coordenadas del lugar en la variable $mapa



# Agregar el enlace sobre el texto
# La posición X e Y del inicio del enlace, seguido por el ancho y alto del área clicable
$anchoTexto = $pdf->GetStringWidth($textoBoton); // Calcula el ancho del texto para hacer el enlace del tamaño adecuado
$pdf->SetXY(18, 270); // Debe coincidir con la posición del texto
$pdf->Link(18, 270, $anchoTexto, 10, $waze);

# Continúa con el resto de tu script...

    
# Pagina 2
    $pdf->AddPage(); 
    $tplIdx1 = $pdf->importPage(2); 
    $pdf->useTemplate($tplIdx1);
    

    //$pdf->Output('Files_Pdf/VYWQ_15_12_2020.pdf', 'I'); //SALIDA DEL PDF
        //$pdf->Output('original_update.pdf', 'F');
        $pdf->Output('ficha_arriendo'.$nombreEncargado.'.pdf', 'I'); //PARA ABRIL EL PDF EN OTRA VENTANA
    // $pdf->Output('ficha_arriendo'.$nombreEncargado.'.pdf', 'D'); //PARA FORZAR LA DESCARGA
?>